Streaming Endpoints - Update
Update StreamingEndpoint
Updates a existing streaming endpoint.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Media/mediaservices/{accountName}/streamingEndpoints/{streamingEndpointName}?api-version=2021-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
|
The Media Services account name. |
|
resource
|
path | True |
|
The name of the resource group within the Azure subscription. |
|
streaming
|
path | True |
|
The name of the streaming endpoint, maximum length is 24. Regex pattern: |
|
subscription
|
path | True |
|
The unique identifier for a Microsoft Azure subscription. |
|
api-version
|
query | True |
|
The version of the API to be used with the client request. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| location | True |
|
The geo-location where the resource lives |
| properties.scaleUnits | True |
|
The number of scale units. Use the Scale operation to adjust this value. |
| properties.accessControl |
The access control definition of the streaming endpoint. |
||
| properties.availabilitySetName |
|
This feature is deprecated, do not set a value for this property. |
|
| properties.cdnEnabled |
|
The CDN enabled flag. |
|
| properties.cdnProfile |
|
The CDN profile name. |
|
| properties.cdnProvider |
|
The CDN provider name. |
|
| properties.crossSiteAccessPolicies |
The streaming endpoint access policies. |
||
| properties.customHostNames |
|
The custom host names of the streaming endpoint |
|
| properties.description |
|
The streaming endpoint description. |
|
| properties.maxCacheAge |
|
Max cache age |
|
| sku |
The streaming endpoint sku. |
||
| tags |
|
Resource tags. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The request has succeeded. |
|
| 202 Accepted |
Accepted. The request has been accepted for processing and the operation will complete asynchronously. See https://go.microsoft.com/fwlink/?linkid=2087017 for details on the monitoring asynchronous Azure Operations. |
|
| Other Status Codes |
The streaming error response describing why the operation failed. |
Examples
Update a streaming endpoint
Sample Request
PATCH https://management.azure.com/subscriptions/0a6ec948-5a62-437d-b9df-934dc7c1b722/resourceGroups/mediaresources/providers/Microsoft.Media/mediaservices/slitestmedia10/streamingEndpoints/myStreamingEndpoint1?api-version=2021-11-01
{
"location": "West US",
"tags": {
"tag3": "value3",
"tag5": "value5"
},
"properties": {
"description": "test event 2",
"scaleUnits": 5,
"availabilitySetName": "availableset"
}
}
Sample Response
{
"name": "myStreamingEndpoint1",
"id": "/subscriptions/0a6ec948-5a62-437d-b9df-934dc7c1b722/resourceGroups/mediaresources/providers/Microsoft.Media/mediaservices/slitestmedia10/streamingendpoints/myStreamingEndpoint1",
"type": "Microsoft.Media/mediaservices/streamingEndpoints",
"location": "West US",
"tags": {
"tag3": "value3",
"tag5": "value5"
},
"properties": {
"description": "test event 2",
"scaleUnits": 5,
"availabilitySetName": "availableset",
"cdnEnabled": false,
"cdnProvider": null,
"cdnProfile": null,
"customHostNames": [],
"maxCacheAge": null,
"hostName": null,
"freeTrialEndTime": "0001-01-01T00:00:00Z",
"provisioningState": "Succeeded",
"resourceState": null,
"created": "0001-01-01T00:00:00Z",
"lastModified": "0001-01-01T00:00:00Z"
}
}
azure-asyncoperation: https://management.azure.com/subscriptions/0a6ec948-5a62-437d-b9df-934dc7c1b722/resourceGroups/mediaresources/providers/Microsoft.Media/mediaservices/slitestmedia10/streamingendpointoperations/62e4d893-d233-4005-988e-a428d9f77076?api-version=2021-11-01
location: https://management.azure.com/subscriptions/0a6ec948-5a62-437d-b9df-934dc7c1b722/resourceGroups/mediaresources/providers/Microsoft.Media/mediaservices/slitestmedia10/streamingendpoints/myStreamingEndpoint1/operationlocations/62e4d893-d233-4005-988e-a428d9f77076?api-version=2021-11-01
{
"name": "myStreamingEndpoint1",
"id": "/subscriptions/0a6ec948-5a62-437d-b9df-934dc7c1b722/resourceGroups/mediaresources/providers/Microsoft.Media/mediaservices/slitestmedia10/streamingendpoints/myStreamingEndpoint1",
"type": "Microsoft.Media/mediaservices/streamingEndpoints",
"location": "West US",
"tags": {
"tag3": "value3",
"tag5": "value5"
},
"properties": {
"description": "test event 2",
"scaleUnits": 5,
"availabilitySetName": "availableset",
"cdnEnabled": false,
"cdnProvider": null,
"cdnProfile": null,
"customHostNames": [],
"maxCacheAge": null,
"hostName": null,
"freeTrialEndTime": "0001-01-01T00:00:00Z",
"provisioningState": "Succeeded",
"resourceState": null,
"created": "0001-01-01T00:00:00Z",
"lastModified": "0001-01-01T00:00:00Z"
}
}
Definitions
|
Akamai |
Akamai access control |
|
Akamai |
Akamai Signature Header authentication key. |
|
Arm |
The streaming endpoint current sku. |
|
created |
The type of identity that created the resource. |
|
Cross |
The client access policy. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
IPAccess |
The IP access control. |
| IPRange |
The IP address range in the CIDR scheme. |
|
Streaming |
The streaming endpoint. |
|
Streaming |
Streaming endpoint access control definition. |
|
Streaming |
The resource state of the streaming endpoint. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
AkamaiAccessControl
Akamai access control
| Name | Type | Description |
|---|---|---|
| akamaiSignatureHeaderAuthenticationKeyList |
authentication key list |
AkamaiSignatureHeaderAuthenticationKey
Akamai Signature Header authentication key.
| Name | Type | Description |
|---|---|---|
| base64Key |
|
authentication key |
| expiration |
|
The expiration time of the authentication key. |
| identifier |
|
identifier of the key |
ArmStreamingEndpointCurrentSku
The streaming endpoint current sku.
| Name | Type | Description |
|---|---|---|
| capacity |
|
The streaming endpoint sku capacity. |
| name |
|
The streaming endpoint sku name. |
createdByType
The type of identity that created the resource.
| Name | Type | Description |
|---|---|---|
| Application |
|
|
| Key |
|
|
| ManagedIdentity |
|
|
| User |
|
CrossSiteAccessPolicies
The client access policy.
| Name | Type | Description |
|---|---|---|
| clientAccessPolicy |
|
The content of clientaccesspolicy.xml used by Silverlight. |
| crossDomainPolicy |
|
The content of crossdomain.xml used by Silverlight. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
|
The additional info. |
| type |
|
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
|
The error code. |
| details |
The error details. |
|
| message |
|
The error message. |
| target |
|
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
IPAccessControl
The IP access control.
| Name | Type | Description |
|---|---|---|
| allow |
|
The IP allow list. |
IPRange
The IP address range in the CIDR scheme.
| Name | Type | Description |
|---|---|---|
| address |
|
The IP address. |
| name |
|
The friendly name for the IP address range. |
| subnetPrefixLength |
|
The subnet mask prefix length (see CIDR notation). |
StreamingEndpoint
The streaming endpoint.
| Name | Type | Description |
|---|---|---|
| id |
|
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
|
The geo-location where the resource lives |
| name |
|
The name of the resource |
| properties.accessControl |
The access control definition of the streaming endpoint. |
|
| properties.availabilitySetName |
|
This feature is deprecated, do not set a value for this property. |
| properties.cdnEnabled |
|
The CDN enabled flag. |
| properties.cdnProfile |
|
The CDN profile name. |
| properties.cdnProvider |
|
The CDN provider name. |
| properties.created |
|
The exact time the streaming endpoint was created. |
| properties.crossSiteAccessPolicies |
The streaming endpoint access policies. |
|
| properties.customHostNames |
|
The custom host names of the streaming endpoint |
| properties.description |
|
The streaming endpoint description. |
| properties.freeTrialEndTime |
|
The free trial expiration time. |
| properties.hostName |
|
The streaming endpoint host name. |
| properties.lastModified |
|
The exact time the streaming endpoint was last modified. |
| properties.maxCacheAge |
|
Max cache age |
| properties.provisioningState |
|
The provisioning state of the streaming endpoint. |
| properties.resourceState |
The resource state of the streaming endpoint. |
|
| properties.scaleUnits |
|
The number of scale units. Use the Scale operation to adjust this value. |
| sku |
The streaming endpoint sku. |
|
| systemData |
The system metadata relating to this resource. |
|
| tags |
|
Resource tags. |
| type |
|
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
StreamingEndpointAccessControl
Streaming endpoint access control definition.
| Name | Type | Description |
|---|---|---|
| akamai |
The access control of Akamai |
|
| ip |
The IP access control of the streaming endpoint. |
StreamingEndpointResourceState
The resource state of the streaming endpoint.
| Name | Type | Description |
|---|---|---|
| Deleting |
|
The streaming endpoint is being deleted. |
| Running |
|
The streaming endpoint is running. It is able to stream content to clients |
| Scaling |
|
The streaming endpoint is increasing or decreasing scale units. |
| Starting |
|
The streaming endpoint is transitioning to the running state. |
| Stopped |
|
The initial state of a streaming endpoint after creation. Content is not ready to be streamed from this endpoint. |
| Stopping |
|
The streaming endpoint is transitioning to the stopped state. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
|
The timestamp of resource creation (UTC). |
| createdBy |
|
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
|
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
|
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |